<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="LICENSE-FORM">
		<style>
			.sb-pagetitle { border-bottom: solid 1px #776655; }
		</style>
		<script type="text/javascript" src="/js/Admin/License.js?{$version}.{$build}"/>
		
		<form name="restoreDefaultKeyForm" id="restoreDefaultKeyForm" method="post" action="{$baseUrl}/Admin/License/RestoreDefaultKey"/>
		
		<table width="100%" cellpadding="0" cellspacing="0"  border="0">
			<tr>
				<td class="sb-toolbarpadding"><xsl:apply-templates/></td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="ACTIVATION-CARD-CONTENT">
		<form name="activateKey" method="POST" action="{$baseUrl}/Admin/License/Activate" onsubmit="javascript:return validateActivationForm();">
			<table width="100%" border="0">
				<tr>
					<td colspan="2">
						<fieldset class="sb-form-fieldset">
							<legend class="sb-label-toolbar-title"><xsl:value-of select="@TITLE"/></legend>
							<div style="width: 0; height: 10px;"><span></span></div>
							<table cellspacing="0" width="100%" border="0" class="sb-text">
								<tr>
									<td colspan="3" style="padding-bottom: 15px;"><xsl:value-of select="@DESCRIPTION"/></td>
								</tr>
								<tr>
									<td width="208" style="padding-left: 0;"><xsl:value-of select="@ACT-CODE-TITLE"/></td>
									<td width="0" style="white-space: nowrap;">
										<input name="activationCode" id="activationCode" type="text" maxlength="255" size="25" style="border-color:#999EA1;border-width:1px;border-style:Solid;" onChange="self.sbApplyChangesObject.registerChange();"/>
										<span style="color:Red;">&#160;*</span>
									</td>
									<td style="padding-left: 10px;">(<xsl:value-of select="@EXAMPLE"/>: 9FFT00-OGEE19-LQAA56-QCCU99)</td>
								</tr>
							</table>
						</fieldset>
					</td>
				</tr>
				<tr>
					<td><xsl:call-template name="REQUIRED-FIELDS"/></td>
					<td align="right">
						<table onclick="" cellpadding="0" cellspacing="0" style="width:100px;cursor:pointer">
						<tr>
							<td align="right" style="padding:0px;">
								<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']">
									<xsl:with-param name="action">javascript:return validateActivationForm();</xsl:with-param>
								</xsl:apply-templates>
							</td>
						</tr>
						</table>
					</td>
				</tr>
			</table>
		</form>
	</xsl:template>
	
	<xsl:template match="UPLOADKEY-CARD-CONTENT">
		<form name="uploadKey" method="POST" action="{$baseUrl}/Admin/License/Upload" enctype="multipart/form-data" onsubmit="javascript:return validateUploadForm();">
			<input type="hidden" name="MAX_FILE_SIZE">
				<xsl:attribute name="value"><xsl:value-of select="@MAX-FILE-SIZE"/></xsl:attribute>
			</input>
			
			<table cellpadding="0" cellspacing="0" width="100%" border="0">
				<tr>
					<td colspan="2">
						<fieldset class="sb-form-fieldset">
							<legend class="sb-label-toolbar-title"><xsl:value-of select="@TITLE"/></legend>
							<table cellspacing="0" width="100%" border="0">
								<tr>
									<td align="left" class="sb-label" width="208" style="padding-left: 0;"><xsl:value-of select="@DESCRIPTION"/></td>
									<td style="white-space: nowrap;" align="left">
										<input name="sbUploadKey" id="sbUploadKey" type="file" style="border-color:#999EA1;border-width:1px;border-style:Solid;" onChange="self.sbApplyChangesObject.registerChange();"/>
									</td>
								</tr>
							</table>
						</fieldset>
					</td>
				</tr>
				<tr>
					<td><xsl:call-template name="REQUIRED-FIELDS"/></td>
					<td align="right" style="padding-top: 4px;">
						<table onclick="" cellpadding="0" cellspacing="0" style="width:100px;cursor:pointer">
							<tr>
								<td align="right" style="padding:0px;">
									<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']">
										<xsl:with-param name="action">javascript:return validateUploadForm();</xsl:with-param>
									</xsl:apply-templates>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</form>
	</xsl:template>

	<xsl:template match="RETRIVEKEY-CARD-CONTENT">
		<table cellpadding="0" cellspacing="0" width="100%" border="0">
			<tr>
				<td align="center" >
					<fieldset class="sb-form-fieldset">
					<div class="sb-label">
						<xsl:value-of select="@RESPONSE-TITLE"/>:<br/><xsl:value-of select="@RESPONSE"/>
					</div>
					</fieldset>
				</td>
			</tr>
				<tr>
					<td align="right">
						<table onclick="" cellpadding="0" cellspacing="0" style="width:100px;cursor:pointer; padding-top: 5px;">
						<tr>
							<td align="right" style="padding:0px;">
								<xsl:apply-templates select="CONTROL[@TYPE='BUTTON']">
									<xsl:with-param name="action">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/License";</xsl:with-param>
								</xsl:apply-templates>
							</td>
						</tr>
						</table>
					</td>
				</tr>
		</table>
	</xsl:template>
	
	
</xsl:stylesheet>