<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:strip-space elements="*"/>
<xsl:output method="html" indent="yes" encoding="utf-8"/>

<xsl:template match="VIEW-CONTENT/INFO">
	<table cellspacing="0" cellpadding="0" border="0" style="height: 100%; width: 100%;">
		<tr>
			<td align="center">
				<span class="sb-label" style="font-size: large;"><xsl:value-of select="FAIL-MESSAGE" /></span>
				<br/>
				
				<xsl:choose>
					<xsl:when test="@IS-USER-ADMIN = '1'">				
						<span class="sb-label">
							<xsl:value-of select="CAN-UPLOAD-MESSAGE"/>
							<br/>
							<xsl:value-of select="USE-LINK-MESSAGE"/>
						</span>
						
						&#160;<a class="sb-black-link" href="{LICENSE-LINK-URL}"><xsl:value-of select="LICENSE-LINK"/></a>
					</xsl:when>
					<xsl:otherwise>
						<span class="sb-label"><xsl:value-of select="CONTACT-ADMIN"/></span>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template match="SITEBUILDER-PAGE">
	<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%">
		<tr>
			<td class="sb-adminpanel-header">
				<table class="sb-adminpanel-header-inner" border="0" width="100%">
					<tr>
						<td valign="middle">
							<xsl:call-template name="HEADER-LOGO"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td valign="top">
				<xsl:apply-templates select="VIEW-CONTENT/*"/>
			</td>
		</tr>
	</table>
</xsl:template>

<xsl:template name="MAIN-PAGE-CONTENT">
	<tr>
		<td valign="top">
			<xsl:apply-templates select="VIEW-CONTENT"/>
		</td>
	</tr>
</xsl:template>

</xsl:stylesheet>