<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="EDITOR-AREA">
		<td  valign="top" style="width: 100%; height: 100%">
			<xsl:apply-templates select="../MODULE-TITLE" />
			<table class="sb-formtable" cellspacing="0" border="0" style="border-collapse:collapse;height: 99%; width: 100%;">
				<tr>
					<td valign="top">
						<xsl:apply-templates />
					</td>
				</tr>
			</table>
		</td>
	</xsl:template>

	<xsl:template match="MODULE-TITLE">
		<div class="sb-edit-modulename">
			<img style="border-width:0px;" >
				<xsl:attribute name="src"><xsl:value-of select="@ICON"/></xsl:attribute>
			</img>
			<span class="sb-page-title" style="padding-left: 9px;"><xsl:value-of select="@NAME"/></span>
		</div>
	</xsl:template>

	<xsl:template name="MODULE-MODAL-FORM">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<xsl:with-param name="closeHint" select="@CLOSE-HINT"/>
			<xsl:with-param name="helpHint" select="/SITEBUILDER-PAGE/LOCALE/HELP-HINT"/>
			<xsl:with-param name="additionalFormStyle">width: 750px; height: 550px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS">
		<xsl:call-template name="OK-CANCEL-BUTTONS">
			<xsl:with-param name="okAction">wizardFormSubmit();</xsl:with-param>
			<xsl:with-param name="cancelAction">document.location.href='<xsl:value-of select="/SITEBUILDER-PAGE/APPLY-CHANGES/@VIEW-URL"/>';</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
