<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output msethod="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="SETTINGS">
		<script type="text/javascript" src="/modules/ImageGallery/js/settings.js?{$version}.{$build}"></script>
		
		<table border="0" style="width:100%;">
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='categoryWidth']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="onChange">setSaveSettings(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="maxLength">4</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>		
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='imageWidth']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="onChange">setSaveSettings(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="maxLength">4</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='imageHeight']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="onChange">setSaveSettings(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="maxLength">4</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='previewWidth']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="onChange">setSaveSettings(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="maxLength">4</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='imagePerPage']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="onChange">setSaveSettings(); self.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="maxLength">2</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
		<input type="hidden" id="saveSettings" name="saveSettings" value="0"/>
	</xsl:template>

</xsl:stylesheet>